## org.beepcore.beep.core
Class InputDataStreamAdapter

    java.lang.Object
      java.io.InputStream
          org.beepcore.beep.core.InputDataStreamAdapter

public class InputDataStreamAdapter
extends java.io.InputStream

Method Summary
`int` `available()`
`void` `close()`
`java.lang.String` `getContentType()` Returns the content type of a `FrameDataStrea`.
`java.util.Enumeration` `getHeaderNames()` Returns an `Enumeration` of all the MIME entity header names belonging to this `FrameDataStream`.
`java.lang.String` `getHeaderValue(java.lang.String name)` Returns the value of the MIME entity header which corresponds to the given `name`.
`java.lang.String` `getTransferEncoding()` Returns the transfer encoding of a `FrameDataStrea`.
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`long` `skip(long n)`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### available

    public int available()

### close

    public void close()

### getContentType

    public java.lang.String getContentType()
                                    throws BEEPException

  Returns the content type of a `FrameDataStrea`. If the `Frame` containing the content type hasn't been received yet, the method blocks until it is received.

  Returns:
    Content type.
  Throws:
    `BEEPException`

### getHeaderValue

    public java.lang.String getHeaderValue(java.lang.String name)
                                    throws BEEPException

  Returns the value of the MIME entity header which corresponds to the given `name`. If the `Frame` containing the content type hasn't been received yet, the method blocks until it is received.

  Parameters:
    `name` - Name of the entity header.
  Returns:
    String Value of the entity header.
  Throws:
    `BEEPException`

### getHeaderNames

    public java.util.Enumeration getHeaderNames()
                                         throws BEEPException

  Returns an `Enumeration` of all the MIME entity header names belonging to this `FrameDataStream`. If the `Frame` containing the content type hasn't been received yet, the method blocks until it is received.

  Throws:
    `BEEPException`

### getTransferEncoding

    public java.lang.String getTransferEncoding()
                                         throws BEEPException

  Returns the transfer encoding of a `FrameDataStrea`. If the `Frame` containing the content type hasn't been received yet, the method blocks until it is received.

  Returns:
    Content type.
  Throws:
    `BEEPException`

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.